## aptosid-scripts 0.5.6

=== Makefile ===
#!/usr/bin/make -f
build:
	./fw-data-convert > fw-data.sh
clean:
	-rm -rf fw-data.sh

=== debian/changelog ===
aptosid-scripts (0.5.6) unstable; urgency=medium

  [ Kel Modderman ]
  * Drop hard dependency on distro-defaults

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 18 Jun 2025 07:08:37 +0200

aptosid-scripts (0.5.5) unstable; urgency=medium

  * don't ship fw* tools for now.
  * drop compat symlinks for aptosid-paste.
  * bump standards version to 3.9.6, no changes necessary.
  * switch to compat level 13.
  * make lintian a little happier:
    - vcs-field-uses-insecure-uri Git
    - cute-field Vcs-git vs Vcs-Git
    - source: silent-on-rules-requiring-root
    - source: trailing-whitespace [debian/changelog:135]
    - source: trailing-whitespace [debian/changelog:950]

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 03 Nov 2024 23:45:34 +0100

aptosid-scripts (0.5.4) unstable; urgency=medium

  * debian/control: drop description of obsolete functions.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 28 Jul 2016 01:55:49 +0200

aptosid-scripts (0.5.3) unstable; urgency=medium

  * drop fix-dpi-kdm and its manpage, kdm is obsolete.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 07 Sep 2015 21:27:22 +0200

aptosid-scripts (0.5.2) unstable; urgency=medium

  * move fix-dpi-kdm and update-resume-partition into section 8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 04 Jan 2015 01:54:14 +0100

aptosid-scripts (0.5.1) unstable; urgency=medium

  * no longer recommend ntpdate.
  * rework debian/control.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 04 Jan 2015 01:23:28 +0100

aptosid-scripts (0.5.0) unstable; urgency=medium

  * drop fix-ssh, this is basically a broken/ old equivalent of
    "dpkg-reconfigure openssh-server".
  * drop fix-time, this has been broken since ntpdate has been removed long
    time ago. Using "dpkg-reconfigure tzdata" does the timezone selection part,
    while systemd-timesyncd takes over the NTP business.
  * drop kvercmp, it hasn't been installed of any binary packages for ages.
  * drop remove-gateway, Ceni does effectively the same job - while allowing
    fine grained control over the consequences.
  * drop remove-orphans, it's not really useful, but fragile.
  * drop inetconn, this has now been moved directly into its only user
    "fll-installer-common".
  * rename get-resume-partition to the more fitting update-resume-partition.
  * bump standards version to 3.9.6, no changes necessary.
  * drop aptosid-paste and wgetpaste, (temporarily) depend on pastebinit
    instead and provide compatibility symlinks for the time being.
  * add copyright header to the scripts where necessary.
  * convert to machine readable copyright, update list of copyright holders
    to reflect its state to the history of the remaining tools.
  * add simple manpages for fix-dpi-kdm and update-resume-partition.
  * update long description.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 03 Jan 2015 05:56:17 +0100

aptosid-scripts (0.4.21) unstable; urgency=medium

  * new upstream version for wgetpaste

 -- Joaquim Boura <x-un-i@sapo.pt>  Tue, 22 Apr 2014 20:53:51 +0200

aptosid-scripts (0.4.20) unstable; urgency=low

  [ Niall Walsh ]
  * add plain iwlwifi to drivers for iwl (clean out old ones at some point)

  [ Stefan Lippers-Hollmann ]
  * bump standards version to 3.9.5, no changes necessary.
  * debian/control: switch Vcs tags to github.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 13 Apr 2014 19:55:42 +0200

aptosid-scripts (0.4.19) unstable; urgency=low

  * bump standards version to 3.9.4, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jan 2013 00:41:02 +0100

aptosid-scripts (0.4.18) unstable; urgency=low

  * new backend version 2.20 with actualized paste services pastebin.ca,
    codepaste, dpaste, gists, poundpython. supports more languages.

 -- Joaquim Boura <x-un-i@sapo.pt>  Mon, 13 Aug 2012 19:14:15 +0200

aptosid-scripts (0.4.17) unstable; urgency=low

  * pocoo no longer exists as paste service
  * new backend version 2.19.
    pastebin.ca does not supports postdata

 -- Joaquim Boura <x-un-i@sapo.pt>  Sat, 05 May 2012 14:51:18 +0200

aptosid-scripts (0.4.16) unstable; urgency=low

  * bump standards version to 3.9.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Feb 2012 15:40:42 +0100

aptosid-scripts (0.4.15) unstable; urgency=low

  * import new translations for fw-data.ini, many thanks to bluewater and the
    manual translators!
  * switch to compat level 9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 16 Jan 2012 00:22:50 +0100

aptosid-scripts (0.4.14) unstable; urgency=low

  * update firmware db:
    - Realtek 8192C/8188C 802.11n PCI wireless
    - Realtek 8192S/8191S 802.11n PCI wireless
  * switch burniso to use xorriso.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 17 Dec 2011 19:36:42 +0100

aptosid-scripts (0.4.13) unstable; urgency=low

  * bump standards version to 3.9.2, no changes necessary.
  * update eMail addresses.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 29 Apr 2011 03:57:09 +0200

aptosid-scripts (0.4.12) unstable; urgency=low

  * set default paste service to pocoo, currently the only one supporting
    pastes >64Kb.

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 11 Mar 2011 21:23:37 +0100

aptosid-scripts (0.4.11) unstable; urgency=low

  * drop transitional meta package.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 21 Jan 2011 13:45:51 +0100

aptosid-scripts (0.4.10) unstable; urgency=low

  * update firmware db:
    - Atheros AR7010
    - Realtek RTL8111D(L)
    - Realtek RTL8188S 150/ RTL8191S 300 MBit/s USB WiFi cards (r8712u)
    - disambiguate Broadcom b43 and b43legacy, firmware-b43-lpphy-installer is
      now preferred for all non-legacy chipsets with ucode > 10.
    - Broadcom 802.11n wireless LAN driver brcm80211.
    - Atheros AR30xx Bluetooth chipset

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 26 Dec 2010 18:08:57 +0100

aptosid-scripts (0.4.9) unstable; urgency=low



=== debian/control ===
Source: aptosid-scripts
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Uploaders: Kel Modderman <kelvmod@gmail.com>
Rules-Requires-Root: no
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
 libconfig-tiny-perl
Standards-Version: 4.7.0
Vcs-Browser: https://github.com/fullstory/aptosid-scripts
Vcs-Git: https://github.com/fullstory/aptosid-scripts.git

Package: aptosid-scripts
Architecture: all
Depends: ${misc:Depends},
 pastebinit,
 xorriso
Recommends: menu
Description: miscellaneous scripts for aptosid
 Script collection for live and install uses on aptosid:
  * burniso (write an ISO image from cli)
  * fw-detect (identify missing firmware for installed hardware)
  * update-resume-partition (configure a resume (swap) partition based on UUIDs)
